VSTGUI: StaticListControlConfigurator Class Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
StaticListControlConfigurator Class Reference
New classes » Version 4.9

A list control configurator implementation. More...

`#include <clistcontrol.h>`

Inheritance diagram for StaticListControlConfigurator:

## Public Types
using | Flags = CListControlRowDesc::Flags

## Public Member Functions
| StaticListControlConfigurator (CCoord inRowHeight, Flags inFlags={CListControlRowDesc::Selectable, CListControlRowDesc::Hoverable})
void | setRowHeight (CCoord height)
void | setFlags (Flags f)
CCoord | getRowHeight () const
Flags | getFlags () const
CListControlRowDesc | getRowDesc (int32_t row) const override
Public Member Functions inherited from IListControlConfigurator
virtual | ~IListControlConfigurator () noexcept
Public Member Functions inherited from ReferenceCounted< int32_t >
| ReferenceCounted ()=default
virtual | ~ReferenceCounted () noexcept=default
| ReferenceCounted (const ReferenceCounted &)
ReferenceCounted & | operator= (const ReferenceCounted &)
| ReferenceCounted ()=default
| ReferenceCounted (const ReferenceCounted &)
virtual | ~ReferenceCounted () noexcept=default
ReferenceCounted & | operator= (const ReferenceCounted &)
void | forget () override
| decrease refcount and delete object if refcount == 0
void | remember () override
| increase refcount
virtual int32_t | getNbReference () const
| get refcount
void | forget () override
| decrease refcount and delete object if refcount == 0
void | remember () override
| increase refcount
virtual int32_t | getNbReference () const
| get refcount

## Detailed Description

A list control configurator implementation.

Returns the same row description for all row indices

## Member Typedef Documentation

## ◆ Flags

using Flags = CListControlRowDesc::Flags

## Constructor & Destructor Documentation

## ◆ StaticListControlConfigurator()

StaticListControlConfigurator | ( | CCoord | inRowHeight,
|  | Flags | inFlags = {CListControlRowDesc::Selectable, CListControlRowDesc::Hoverable} )
| inline

## Member Function Documentation

## ◆ getFlags()

Flags getFlags | ( |  | ) | const
| inline

## ◆ getRowDesc()

CListControlRowDesc getRowDesc | ( | int32_t | row | ) | const
| inlineoverridevirtual

Implements IListControlConfigurator.

## ◆ getRowHeight()

CCoord getRowHeight | ( |  | ) | const
| inline

## ◆ setFlags()

void setFlags | ( | Flags | f | ) |
| inline

## ◆ setRowHeight()

void setRowHeight | ( | CCoord | height | ) |
| inline

The documentation for this class was generated from the following file:

- clistcontrol.h